"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbnailCard = void 0;
const react_1 = __importDefault(require("react"));
const react_i18next_1 = require("react-i18next");
const Thumbnail_1 = __importDefault(require("../Thumbnail"));
require("./index.scss");
const baseClass = 'thumbnail-card';
const ThumbnailCard = (props) => {
    var _a;
    const { className, onClick, doc, collection, thumbnail, label, alignLabel, onKeyDown, } = props;
    const { t } = (0, react_i18next_1.useTranslation)('general');
    const classes = [
        baseClass,
        className,
        typeof onClick === 'function' && `${baseClass}--has-on-click`,
        alignLabel && `${baseClass}--align-label-${alignLabel}`,
    ].filter(Boolean).join(' ');
    const title = (doc === null || doc === void 0 ? void 0 : doc[(_a = collection === null || collection === void 0 ? void 0 : collection.admin) === null || _a === void 0 ? void 0 : _a.useAsTitle]) || (doc === null || doc === void 0 ? void 0 : doc.filename) || `[${t('untitled')}]`;
    return (react_1.default.createElement("div", { className: classes, onClick: typeof onClick === 'function' ? onClick : undefined, onKeyDown: typeof onKeyDown === 'function' ? onKeyDown : undefined },
        react_1.default.createElement("div", { className: `${baseClass}__thumbnail` },
            thumbnail && thumbnail,
            !thumbnail && (collection && doc) && (react_1.default.createElement(Thumbnail_1.default, { size: "expand", doc: doc, collection: collection }))),
        react_1.default.createElement("div", { className: `${baseClass}__label` }, label || title)));
};
exports.ThumbnailCard = ThumbnailCard;
//# sourceMappingURL=index.js.map